Ticket #42087

One Time Trade Bonuses Not Awarded (S3_0, civ2civ3, 3.0.0-beta1+ 463463dd0a)

Eröffnet am: 2021-04-28 03:27 Letztes Update: 2021-05-16 17:57

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
6

Details

What can I say? You don't get the one time trade bonus, ever. See the screenshots.

I'm fairly sure this is a bug in the server, but in case it's not, I'm using using the qt client.

Ticket-Verlauf (3/18 Historien)

2021-04-28 03:27 Aktualisiert von: chippo
  • New Ticket "One Time Trade Bonuses Not Awarded (S3_0, civ2civ3, 3.0.0-beta1+ 463463dd0a)" created
2021-04-28 08:20 Aktualisiert von: cazfi
Kommentar

civ2civ3 has the one-time-bonus defined as "None" for all trade route types.

I've not checked what the documentation says (i.e., is this a documentation bug?)

2021-04-28 15:31 Aktualisiert von: chippo
Kommentar

Reply To cazfi

civ2civ3 has the one-time-bonus defined as "None" for all trade route types. I've not checked what the documentation says (i.e., is this a documentation bug?)

I can't find anything in the documentation to clarify this, other than the civ2civ3 'philosophy' which is "no big boosts". This seems to be carried out by the 'one time bonus' dropping from (for an antipodal trade route like this one) around 450 gold in classic, to 12 gold in civ2civ3.

But whatever the intention is, or whatever the documentation says, there is definitely at least one coding bug. We can't put a dialog on the screen promising (even a meager) one time bonus, and then not award it. We must either remove the words 'one time bonus' and the number, or we must award that amount of gold.

2021-04-28 21:18 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to 3.0.0-beta3 (closed)
  • Komponente Update from (Keine) to Client common
Kommentar

Attached patches should make sure there's no promise of one time bonus when there isn't one. So far untested, and I'm still not sure this is the best way to do it.

2021-04-28 22:44 Aktualisiert von: bard
Kommentar

Reply To chippo

What can I say? You don't get the one time trade bonus, ever. See the screenshots.

They were disabled in the ruleset on purpose. When the map is large enough, there is a point where the bonus you get is bigger than the cost of the caravan, and you can use it to buy new caravans to produce more one-time revenues, becoming and endless source of free money.

Even if I'm not making patches yet, I'll try to collaborate by explaining the reasons of the changes introduced by civ2civ3 so it is easier for other people to evaluate them or suggest alternatives. I use to search for "civ2civ3" in order to find related tickets, but now that it is going to be the default ruleset, I wonder what is the best way for me to find such tickets. I hope people still use civ2civ3 in their titles or descriptions, or else feel free to add me to the watchlist.

2021-04-28 22:55 Aktualisiert von: cazfi
Kommentar

Reply To bard

When the map is large enough, there is a point where the bonus you get is bigger than the cost of the caravan

tradeworldrelpct setting is supposed to help with this, but it does not until #42097 gets fixed.

2021-04-29 01:15 Aktualisiert von: chippo
Kommentar

The patch for S3_0 applies and works for me.

2021-05-14 17:28 Aktualisiert von: cazfi
Kommentar

S2_6 is affected too.

2021-05-14 18:17 Aktualisiert von: chippo
Kommentar

Reply To bard

They were disabled in the ruleset on purpose.

If they were disabled, why did the amount (promised) get reduced by so much? The one-time bonuses in classic were between 300 and 1000 gold, whereas the promised-but-not-awarded bonuses in civ2civ3 were between 10 and 100 (on similar sized maps, on similar distanced trade routes).

2021-05-14 18:24 Aktualisiert von: cazfi
Kommentar

Reply To chippo

Reply To bard

They were disabled in the ruleset on purpose.

If they were disabled, why did the amount (promised) get reduced by so much? The one-time bonuses in classic were between 300 and 1000 gold, whereas the promised-but-not-awarded bonuses in civ2civ3 were between 10 and 100 (on similar sized maps, on similar distanced trade routes).

Amount of one-time-bonuses are not defined independently, but are relative to continuous trade income between the cities.

2021-05-15 03:19 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
2021-05-16 17:57 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden